X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

What can you do if your computer is too old to update your browser?

Posted

I am running MAC 10.4.11 OSX therefore the system itself does not have the capabilities to upgrade to the new Firefox, and /or hotmail. Nothing comes out correctly and I am not that it can make my system unstable. What can I do to help fix this situation? Please do not tell me to buy a new system unless you are offering one. Thank you everyone, as I have tried everything I can think of and nothing works. Stay safe with "Sandy".

Additional System Details

This happened

Every time Firefox opened

Installed Plug-ins

  • Gecko default plugin
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • Java 1.3.1 Plug-in
  • iPhoto6
  • Aspera Web enables fast and secure transfers of web content using FASP. For more information, visit www.asperasoft.com.
  • Shockwave Flash 10.1 r102
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.5
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US; rv:1.9.2.28) Gecko/20120306 Firefox/3.6.28

More Information

well i think i covered the info and if i can only get back to the layout of hotmail instead of the gibberish way it comes up now, that would be great. Thanks!

Gingerbread Man
  • Top 25 Contributor
221 solutions 912 answers

Helpful Reply

TenFourFox is an up-to-date third-party build of Firefox that runs on Mac OS X 10.4.

Given that plug-ins for older Macs are outdated and contain security vulnerabilities, TenFourFox doesn't support them. Workarounds are described here:

ideato
  • Top 25 Contributor
616 solutions 4260 answers

Hello barbara1006

see also : camino http://caminobrowser.org/


thank you

brosearth 0 solutions 1 answers

Helpful Reply

I also have an old mac osx 10.4.11 and I love it, it does everything I need it to do, it's about 7 years old and I'm nearly 62, so who's "vintage", here (that's what the mac store fella called my computer!)? Honestly, how can I be a green ol' gal and keep a tool that works beautifully if Firefox outdates my system? Please help, I have Sophos anti-virus and take good care of this modern tool, in my luddite way........ ¡muchas gracias!

the-edmeister
  • Top 10 Contributor
  • Moderator
3195 solutions 24389 answers

brosearth,

You can use either TenFourFox or Camino, both of which are "Powered by Mozilla" and use much of the same code as Firefox uses.

BTW, Apple stopped support for OSX 10.4 long before Mozilla did.

Gingerbread Man
  • Top 25 Contributor
221 solutions 912 answers

ideato wrote:

see also : camino http://caminobrowser.org/

If the point is to have a modern browser, then Camino isn't going to cut it. It still uses Gecko 1.9.2.28, the rendering engine used in Firefox 3.6.28.

brosearth wrote:

Please help, I have Sophos anti-virus and take good care of this modern tool, in my luddite way........

Having an anti-virus is good, but it doesn't change the fact that the last security update for Tiger was published over 3 years ago, and all browser plug-ins that run on Tiger are also outdated and insecure.

In any case, if you want an up-to-date version of Firefox, use TenFourFox. OmniWeb and iCab are other browsers that are up-to-date and still work on Mac OS X 10.4.